# $Revision: 1.8 $, $Date: 2009/06/09 10:06:46 $
Summary:	Helper library for dumb speech synthesizers
Summary(pl.UTF-8):	Biblioteka pomocnicza dla głupich syntezatorów mowy
Name:		libdumbtts
Version:	0.3.0
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.tts.polip.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	7eff56583b94837c89f38cc5cb05a0b5
Patch0:		%{name}-Makefile.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdumbtts is helper library for dumb speech synthesizer drivers.
Developed for Ivona synthesizer and speech-dispatcher, but may be
usable with other synthesizer and application.

%description -l pl.UTF-8
libdumbtts to biblioteka pomocnicza dla driverów "głupich"
syntezatorów mowy. Opracowana dla syntezatora Ivona oraz
speech-dispatchera, ale może być przydatna dla innych syntezatorów
i aplikacji.

%package devel
Summary:	Header files for libdumbtts library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdumbtts
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description devel
Header files for libdumbtts library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdumbtts.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/dumbtts

%{__make} -C src install \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

# Propably junk - removing
rm -rf $RPM_BUILD_ROOT%{_datadir}/dumbtts/pl.conf~

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%doc %lang(pl) README_pl
%attr(755,root,root) %{_libdir}/libdumbtts.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libdumbtts.so.?
%dir %{_datadir}/dumbtts
%dir %{_sysconfdir}/dumbtts
%{_datadir}/dumbtts/*.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdumbtts.so
%{_includedir}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdumbtts.spec,v $
Revision 1.8  2009/06/09 10:06:46  amateja
- updated to 0.3.0

Revision 1.7  2008/04/16 21:42:36  darekr
- -fPIC for x86_64, killed todo

Revision 1.6  2008-04-16 19:10:57  arvenil
- added %ghost
- added more docs
- doesn't build on x86_64 (added TODO)
- clean up

Revision 1.5  2008-04-16 18:12:07  twittner
- darek's changes and his commitlog restored

Revision 1.4  2008-04-15 18:30:31  twittner
- up to 0.2.0
- added -Makefile.patch which allows to pass CC, CFLAGS, LDFLAGS

Revision 1.3  2008-04-14 23:04:46  darekr
- md5sum, use -C for make

Revision 1.2  2008-04-12 08:28:33  gotar
- cosmetics

Revision 1.1  2008-04-12 08:23:38  gotar
- initial from Bohdan R. Rau
